echo off
rem  multiredo.  This batch file will reprocess data
rem  from the casts 10000001 through 9999999.  
rem  redo.bat is required.  Cast number must be all numerical, 
rem  must not start with zero, must be seqential, 1,2,3...
rem  Casts must be reprocessed in numerical sequence, i.e., you can
rem  do 5->25, but not 5, 6, 8, 12, 15.
rem  The form is similar to the the form for do.bat, with the 
rem  addition of the first and last desired casts on the 
rem  end of the command line.

rem  multiredo "confile"  "cast#" "processing-directory" "ctdbatch.txt-file" "firstcast" "lastcast"

rem  ex:
rem  redo  172-05 17205003 process ctdbatch.txt

rem  redo needs the following:
rem  redo kn172-05 17205003 process ctdbatch.txt

rem  "cast#" is just a filler, suggest 999 but does not matter. 
rem  "processing-directory" is the name of the directory that the processed 
rem   data is placed in, normally it is "process".
rem  "ctdbatch.txt-file" is the name of the batch file that controls SBEbatch.exe
rem  "Firstcast" is the first cast you wish to reprocess, 
rem  "Lastcast" is the last cast you wish to reprocess
rem  it can be anything from firstcast to lastcast.
echo on

for /L %%X in (%5,1,%6) do call redo %1  %%X %3 %4

